Bug 116855 - kudzu detects an Elsa PCI ISDN card as a normal network adaptor
kudzu detects an Elsa PCI ISDN card as a normal network adaptor
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: 120319 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-02-25 14:22 EST by Peter Bieringer
Modified: 2014-03-16 22:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-28 14:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2004-02-25 14:22:45 EST
Description of problem:
After upgrading from RHL 7.3 to FC1, kudzu detects that Elsa PCI ISDN
card is a network adaptor and suggested to use it for "eth0"...which
not matches the reality.

Probably on a fresh install the result is the same.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use a system with an Elsa PCI ISDN card
2. Install FC1

Actual Results:  kudzu suggest it using as "eth0"

Expected Results:  Not using it as "eth0", makes no sense.

Additional info:

Here are the related information from "kudzu -p"

class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: hisax
desc: "Elsa AG|QuickStep 1000"
vendorId: 1048
deviceId: 1000
subVendorId: 1048
subDeviceId: 1000
pciType: 1
pcibus:  0
pcidev:  f
pcifn:  0

I know, that also on W* system, the card is detected as network card,
but a dump "is network card, use it for eth0" is not so well here.

Perhaps kudzu can recognize that if the driver is not out of the
network driver dir, skip this card.
Comment 1 Bill Nottingham 2004-02-25 16:04:39 EST
NETWORK comes from the pci class of the device.

The fun part is that if you exclude the generic network class, you
lose PCI wireless cards. If you *include* it, you get ISDN adapters
and the like.
Comment 2 Peter Bieringer 2004-02-25 16:24:07 EST
Hmm, who tells kudzu that it should use the "hisax" driver? By PCI id?
If yes, perhaps a black-list is needed...
Comment 3 Bill Nottingham 2004-02-25 17:24:01 EST
Yes, it pulls it from modules.pcimap.
Comment 4 Bill Nottingham 2004-04-07 17:19:44 EDT
*** Bug 120319 has been marked as a duplicate of this bug. ***
Comment 5 Peter Bieringer 2004-05-22 08:21:07 EDT
Looks like it's solved in FC2.
Comment 6 Bill Nottingham 2004-05-24 12:44:04 EDT
Odd, I didn't change anything. Is the driver actually built?
Comment 7 Bill Nottingham 2005-04-28 14:26:40 EDT
Closing; this class match is needed for wireless cards.

Note You need to log in before you can comment on or make changes to this bug.